<div moe>
    <a href="" start show class="btn btn-primary text-white btn-sm mb-2">+ Create Survey</a>

    <form url="/api/survey/create" class="mcp-theme-1" right>
        <div id="createSurveyForm" v-cloak>
          <div class="form-group">
            <label>Survey Template</label>
            <select name="internalName" class="form-control">
              <option value=""></option>
              @foreach ($forms as $form)
              <option value="{{ $form }}">{{ formatAsTitle($form) }}</option>
              @endforeach
            </select>
          </div>
            <div class="form-group">
                <label>Title</label>
                <input type="text" name="title" class="form-control" />
            </div>
            <div class="form-group">
                <label>Entity Type</label>
                <select name="entityType" class="form-control" v-model="form.entityType" @change="onEntityTypeChange">
                    <option value=""></option>
                    @foreach ($entityTypes as $entityType)
                        <option value="{{ $entityType }}">{{ formatAsTitle($entityType) }}</option>
                    @endforeach
                </select>
            </div>
            <div v-if="form.entityType" class="form-group">
                <label>Entity</label>
                <select name="entityUid" class="form-control" v-model="form.entityUid">
                    <option value=""></option>
                </select>
            </div>
        </div>
        <div class="form-group text-nowrap mb-0">
            <button class="btn btn-sm btn-primary" submit>Submit</button>
            <button class="btn btn-sm btn-default border" close>Close</button>
        </div>
    </form>

    <script>
        (function() {
            function init() {
                new Vue({
                    el: '#createSurveyForm',
                    delimiters: ['@{{ ', ' }}'],
                    data: {
                        form: {
                            entityType: null
                        },
                        entityRecords: []
                    },
                    methods: {
                        onEntityTypeChange: function() {
                            var self = this;
                            if (!self.form.entityType.length) return;
                            self.$nextTick(function(){
                                self.initAutoSuggest();
                            });
                        },
                        initAutoSuggest: function() {
                            var self = this;
                            var select2 = $("select[name=entityUid]").select2({
                                placeholder: "Search " + self.form.entityType,
                                minimumInputLength: 2,
                                ajax: {
                                    url: '{{ route("admin.get-entity-records") }}',
                                    dataType: 'json',
                                    type: "GET",
                                    quietMillis: 50,
                                    data: function(params) {
                                        return {
                                            term: params.term,
                                            json: true,
                                            type: self.form.entityType,
                                        };
                                    },
                                    processResults: function(data) {
                                        data = data.results || [];
                                        return {
                                            results: $.map(data, function(item) {
                                                return {
                                                    text: item.text,
                                                    id: item.uid
                                                }
                                            })
                                        };
                                    }
                                }
                            });

                        },
                        init: function() {

                        },
                    },
                    mounted: function() {
                        this.init();
                    },
                });


            }
            addMCInitializer('createSurveyForm', init, '#createSurveyForm');
        })();
    </script>
